Package net.shibboleth.profile.relyingparty

# Interface RelyingPartyConfigurationResolver

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `Resolver<RelyingPartyConfiguration,CriteriaSet>`

All Known Implementing Classes:
  `DefaultRelyingPartyConfigurationResolver`

public interface RelyingPartyConfigurationResolver extends Resolver<RelyingPartyConfiguration,CriteriaSet>, IdentifiedComponent
Interface to a resolution service that identifies the applicable `RelyingPartyConfiguration` instance for a request based on extensible criteria.

The `ProfileRequestContextCriterion` criterion type MUST be supported; other types are optional.

This service must also expose a default security configuration for supported profiles.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`Collection<Credential>`
`getEncryptionCredentials()`
Directly expose any configured encryption (really decryption) credentials.
`Collection<Credential>`
`getSigningCredentials()`
Directly expose any configured signing credentials.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Method Details

### getSigningCredentials

@Nonnull @Unmodifiable @NotLive Collection<Credential> getSigningCredentials()
Directly expose any configured signing credentials.

Returns:
  signing credentials

### getEncryptionCredentials

@Nonnull @Unmodifiable @NotLive Collection<Credential> getEncryptionCredentials()
Directly expose any configured encryption (really decryption) credentials.

Returns:
  signing credentials